org.eclipse.microprofile.openapi.annotations

## Annotation Type Operation

    @Target(value=METHOD)
     @Retention(value=RUNTIME)
     @Inherited
    public @interface Operation

Describes a single API operation on a path.

See Also:
  OpenAPI Specification Operation Object

### Optional Element Summary

Optional Elements
`boolean` `deprecated` Allows an operation to be marked as deprecated.
`String` `description` A verbose description of the operation behaviour.
`boolean` `hidden` Allows this operation to be marked as hidden
`String` `operationId` Unique string used to identify the operation.
`String` `summary` Provides a brief description of what this operation does.

### Element Detail

#### summary

    public abstract String summary

Provides a brief description of what this operation does.

Returns:
  a summary of this operation

Default:
  ""

#### description

    public abstract String description

A verbose description of the operation behaviour. CommonMark syntax MAY be used for rich text representation.

Returns:
  a description of this operation

Default:
  ""

#### operationId

    public abstract String operationId

Unique string used to identify the operation. The id MUST be unique among all operations described in the API.

Tools and libraries MAY use the operationId to uniquely identify an operation, therefore, it is RECOMMENDED to follow common programming naming conventions.

Returns:
  the ID of this operation

Default:
  ""

#### deprecated

    public abstract boolean deprecated

Allows an operation to be marked as deprecated. Alternatively use the @Deprecated annotation.

Consumers SHOULD refrain from usage of a deprecated operation.

Returns:
  whether or not this operation is deprecated

Default:
  false

#### hidden

    public abstract boolean hidden

Allows this operation to be marked as hidden

Returns:
  whether or not this operation is hidden

Default:
  false